package com.example.demo;

import org.springframework.beans.factory.support.DefaultListableBeanFactory;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.context.ConfigurableApplicationContext;

@SpringBootApplication
public class WebfluxSecurityDependencyCycleApplication {

	public static void main(String[] args) {
		new SpringApplicationBuilder(WebfluxSecurityDependencyCycleApplication.class)
		.initializers(WebfluxSecurityDependencyCycleApplication::prohibitCircularReferences).run(args);
	}
	
	private static void prohibitCircularReferences(ConfigurableApplicationContext context) {
		((DefaultListableBeanFactory)context.getBeanFactory()).setAllowCircularReferences(false);
	}

}
